/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./components/**/*.{js,vue,ts}",
    "./layouts/**/*.vue",
    "./pages/**/*.vue",
    "./plugins/**/*.{js,ts}",
    "./nuxt.config.{js,ts}",
  ],
  theme: {
    extend: {
      maxWidth: {
        '1/2': '12px',
        
      },
      width: {
        '138': '8.625rem',
      },
      colors: {
         
        'bg-red-400': '#f03a4f',
        'text-black-base': 'RGB(68, 69, 69)',
        'text-red-400': '#ED3D53',
        'bg-gray-base': '#F8F6F6',
        'border-gray-footer': '#979797', 
        'border-pink-auth':'#ffc8c3',
        'bg-pink': '#ffe8e8',
        'text':'#444545',
        'text-hover':'#ed3d53',
        "text-c-us":'#AEACAC',
        "shadow":'#babcbc',
        "shadow-pink":'#ffcac5',
        "gray-placholder":'#ccc9c9',
        "border-profile":'e2e0e0',
        "green-highlight":'#c5fbdb'
        
        

      },
      width: {
        '544': '30rem',
      }
    },
  },
  plugins: [  require('@tailwindcss/forms'),],
}